#This is the production compose file, if you want to develop use the docker-compose-build file.
version: '2.1'
services:
  url_shorter:
    image: gitlab.jonasled.de/jonasled/url_shorter_docker:latest
    volumes:
      - url_shorter_db:/app/db #Used to store the database. You can replace the name before the ":" with a path that will used to store the data
    ports:
      - "5000:5000"
    environment:
      - domains= #List of domains (with port if not 80/443) seperated with ";"
      - show_build_date=0 #Normaly disable this.
      - show_version=0 #Normaly disable this.
      - production=1 #You should only disable this for debugging
      - url_scheme=https #If you use a reverse Proxy with https set this to https
      - recaptcha_private= #Please enter here your private Key for google recaptcha
      - recaptcha_public= #Please enter here your public Key for google recaptcha
      - host=0.0.0.0 #With this variable you can set the access ip range. 127.0.0.1 means you can only access it from the local network and 0.0.0.0 means everyone can access it.
      - login=1 #set this to 0 if you want to disable the oauth login. If you do so, you also don't have to fill in the oauth credentials below. 
      - GITHUB_CLIENT_ID= #To get the github keys visit https://github.com/settings/developers and register a new oauth application. The callback path is /user/github-callback
      - GITHUB_CLIENT_SECRET= 
      - GOOGLE_CLIENT_ID=
      - GOOGLE_CLIENT_SECRET=
      - passwordToShort= #Insert here a password, if you wan't that only you can short links.
      - cookieNotice=1 #If you don't want to see the cookie notice set this to 0. Cookies are only used for login.
volumes:
  url_shorter_db:
    